﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using UserService.Infrastructure.DataModels;

namespace UserService.Infrastructure
{
    public static class Validators
    {
        public static bool? ValidateEmail(string? mailAddress)
        {
            if (string.IsNullOrEmpty(mailAddress)) return null;
            return new EmailAddressAttribute().IsValid(mailAddress);
        }

        public static bool? ValidateCommonName(string? commonName, IEnumerable<Member> users)
        {
            if (string.IsNullOrEmpty(commonName)) return false;
            return users.All(x => x.CommonName != commonName);
        }
    }
}
